Manually updating GAMES breaking EmuNand?

Discussion in '3DS - Flashcards & Custom Firmwares' started by hisagishi, Aug 5, 2016.

  1. hisagishi
    OP

    hisagishi GBAtemp Regular

    Member
    276
    28
    Feb 22, 2013
    United States
    So my internet is really bad, I took half a day to update to 10.6 so I thought I'd just download the game update and manually update it via CIA installer, no matter what update I try it always bricks my emunand setup. It says install sucessfull but when I back out of FBI to then play said game it goes to the "an error has occurred please turn hold down power button"

    Then when I try to turn the unit back on it gets through the RXTools phase and just sits at a black screen. Then I need to redo my emunand.
     


  2. Quantumcat

    Quantumcat Dead and alive

    Member
    10,440
    5,507
    Nov 23, 2014
    Australia
    Canberra, Australia
    What game are you trying to update?

    It might or might not be an rxTools problem, but if it is, you can try updating to Luma. Follow: https://gbatemp.net/threads/tutorial-updating-from-rxtools-to-luma3ds.427735/

    I think there's something wrong with your emuNAND though. If the above does not fix it, you should backup all your saves with JKSM and create a new emuNAND.

    You could also try updating from the eShop (as long as you've never updated by .cia before or it will have an error at 99%).
     
  3. ih8ih8sn0w

    ih8ih8sn0w Koreaboo

    Member
    1,656
    720
    Aug 22, 2015
    United States
    Hell
    edit: ignore this, I misread what you were saying
     
    Last edited by ih8ih8sn0w, Aug 5, 2016
  4. hisagishi
    OP

    hisagishi GBAtemp Regular

    Member
    276
    28
    Feb 22, 2013
    United States
    Its smash I am trying to update. I might try luma if its not a smash only issue. I can install the DLC just fine.
     
  5. ih8ih8sn0w

    ih8ih8sn0w Koreaboo

    Member
    1,656
    720
    Aug 22, 2015
    United States
    Hell
    Make sure the CIA is around 328mb (approximate size of the cias I have around).
     
  6. hisagishi
    OP

    hisagishi GBAtemp Regular

    Member
    276
    28
    Feb 22, 2013
    United States
    Hmm it also did it after trying to install an out of region Etrian Oddesy 4 that was supposedly region free. Welp, I think I'll try Luma and get back to you.
     
  7. Aroth

    Aroth GBAtemp Addict

    Member
    2,066
    745
    Apr 14, 2015
    United States
    I would definitely try Luma. RxTools is out dated and no longer supported, and as such its hard to diagnose weird issues like this. That said, I seem to remember reading something somewhere about the nature of updates to smash making them require certain minimum system versions.

    As for the out of region update for Etrian Odyssey IV, game updates are required to be the same region as the installed game, regardless of your console region. If you installed a EUR version of Etrian Odyssey (even if it was labeled "region free"), you have to install the EUR version of update, as the EUR version has a different pair of TitleIDs than the USA version.
     
  8. hisagishi
    OP

    hisagishi GBAtemp Regular

    Member
    276
    28
    Feb 22, 2013
    United States
    It wasn't an update for etrian oddessy I was trying to install it was the full game, I've also tried multiple smash versions and all of them brick my emunand.

    I'm reformatting my 128gb card now but it takes a looong time to do so.
     
  9. Aroth

    Aroth GBAtemp Addict

    Member
    2,066
    745
    Apr 14, 2015
    United States
    Hmm, that seems weird as hell. Best guess at a solution would be a reformatted sd card (which you are doing), with a new emunand and Luma3DS instead of rxTools. At the very least if the issue still happens after doing all of that, it would strongly suggest the issue is a faulty SD card.
     
  10. hisagishi
    OP

    hisagishi GBAtemp Regular

    Member
    276
    28
    Feb 22, 2013
    United States
    If I make a completely new emunand would I need to re-unlink the emunand/nand then have to re setup my cfw? Not sure how this all works.
     
  11. Aroth

    Aroth GBAtemp Addict

    Member
    2,066
    745
    Apr 14, 2015
    United States
    Depending on how you formatted the sd card, you might have to make a new emunand anyways. As for whether or not you will have to unlink them again, the answer would probably be a yes. Not sure how much would have to be set up again in regards to the CFW, though setting up Luma is pretty straight forward.
     
  12. hisagishi
    OP

    hisagishi GBAtemp Regular

    Member
    276
    28
    Feb 22, 2013
    United States
    Alright I need a little help guys. I followed this guide: https://gbatemp.net/threads/tutorial-installing-rxtools-custom-firmware-3ds-and-2ds.390867/
    to initially setup my emunand. Now I am trying to make a backup of this current emunand so that if something happens I will have it. I have a full byte backup of my setup but its 16gb and I have to reimage the drive everytime then extend the partition to 128gb instead of 16gb, its a real hassle.

    My problem is, emunand9 and decrpyt9 are failing to load after selecting them in CTRbootmanager. I have tried updating them both and they still fail to load. Also I can't remember what button it was to load the rxtools menu so I can get a backup from that.

    Edit: Never mind, forgot you could just use the emunandtool on windows. please ignore.
     
    Last edited by hisagishi, Aug 6, 2016
  13. Aroth

    Aroth GBAtemp Addict

    Member
    2,066
    745
    Apr 14, 2015
    United States
    The fact that emunand9 and decrypt9 are failing to load is worrisome and makes me suspect your SD card is damaged or faulty.

    Also I suspect that a few of the tools and utilities in the "CFWKIT" from that guide are outdated. To be honest, the entire core concept of the guide is outdated as rxTools has not been updated in some time and is/was a bug-ridden mess the last time I bothered with it. Hell the last time I checked on rxTools you still could not update a N3DS emunand to 9.6+, and that was a good 2 months after ReiNAND, Cakes and even Gateway had implemented that feature.
     
  14. hisagishi
    OP

    hisagishi GBAtemp Regular

    Member
    276
    28
    Feb 22, 2013
    United States
    Well it is a brand new one, I can try with my older one and see what happens.
     
  15. Aroth

    Aroth GBAtemp Addict

    Member
    2,066
    745
    Apr 14, 2015
    United States

    Wait... you said it was a 128 GB sd card?

    You DID set the cluster size to 64kb when formatting it, right?
     
  16. hisagishi
    OP

    hisagishi GBAtemp Regular

    Member
    276
    28
    Feb 22, 2013
    United States
    Yup, made sure that was the first thing I did as I had to reformat it out of exFAT anyhow. Old card was 32k allocation size.
     
  17. Aroth

    Aroth GBAtemp Addict

    Member
    2,066
    745
    Apr 14, 2015
    United States
    Hmm ok then.

    I would strongly suggest you update your copy of Decrypt9 and Emunand9 before you try anything else at this point. The fact that you cannot get them to load is problematic.

    https://github.com/d0k3/Decrypt9WIP/releases/
    https://github.com/d0k3/EmuNAND9/releases/

    The only things you should actually need from the downloaded zip files is the /3ds/ folder. The other files are for alternate methods of launching the tools.

    Also, I'm not seeing anywhere what model of 3ds you have, and/or what your sysnand version is. Both of these would be helpful for troubleshooting.
     
  18. hisagishi
    OP

    hisagishi GBAtemp Regular

    Member
    276
    28
    Feb 22, 2013
    United States
    I tried updating them and they still wouldn't boot. I copied the decrpyt9.bin and the decrypt9 folder aswell as the .nds just in case it was used for something. I did similarly with emunand9.

    Its and o3ds, sysnand = 9.2, rxtools emunand = 10.6

    I also tried to get Luma to work by copying the Boot.sdx and the Luma folder as described in this thread: http://gbatemp.net/threads/tutorial-updating-from-rxtools-to-luma3ds.427735/

    But it just boots me into rxtools without giving me any option to configure luma.
     
  19. einhuman197

    einhuman197 GBAtemp Advanced Fan

    Member
    942
    356
    Aug 17, 2015
    Germany
    Inside your bootloader (´◉◞౪◟◉)
    You can try to update with system cias. Get the 11.0 cias from that chaos site and update with sysUpdater.
     
  20. Aroth

    Aroth GBAtemp Addict

    Member
    2,066
    745
    Apr 14, 2015
    United States
    Um, can you get me a screenshot of the root of your sd card?